/*  zweic -- a compiler for Zwei
 *
 *  Stephane Micheloud & LAMP
 *
 *  $Id: Tokens.scala 2120 2005-11-12 01:09:29 +0100 (Sat, 12 Nov 2005) michelou $
 */

package zweic;


/**
 * This class defines all token classes of zweic.
 */
object Tokens extends Enumeration {
  type Token = Value;

  val EOF        = Value("<eof>");
  val BAD        = Value("<bad>");

  val IDENT      = Value("ident");
  val NUMBER     = Value("number");
  val STRING     = Value("string");

  // ...  complter ...
}
